Public Class DragInfo

    Public Property InitialMouseCoords As Point
    Public Property InitialLocation As Point
    Public Property OldTag As Object

    Public Sub New(MouseCoords As Point, Location As Point, ByRef _oldTag As Object)
        InitialMouseCoords = MouseCoords
        InitialLocation = Location
        OldTag = _oldTag
    End Sub

    Public Function NewLocation(MouseCoords As Point) As Point
        Dim loc As New Point(InitialLocation.X + (MouseCoords.X - InitialMouseCoords.X), InitialLocation.Y + (MouseCoords.Y - InitialMouseCoords.Y))
        Return loc
    End Function


End Class